﻿body {
    /*  background-color: #00a98e;
    color: #ffffff;*/
    /*font-size: 1rem !important;
    line-height: 1.5 !important;
        00473c
        #23455E
    */
}
:root {
    --main-bg-color: #D99100;
}
a svg {
    color: #ffffff !important;
}
a {
    color: #ffffff;
}
    a.dropdown-item {
    
    color: black !important;
    }
    a.btn:hover {
        color: #ffffff !important;
        background-color: #303030 !important;
    }
div.btn:hover {
    color: #ffffff !important;
    background-color: #303030 !important;
}
button:hover {
    color: #ffffff !important;
    background-color: #303030 !important;
}
html {
    position: relative;
    min-height: 100%;
}
.footer {
    position: absolute;
    bottom: 0;
    width: 100%;
    /*  height: 60px; Set the fixed height of the footer here */
    line-height: 60px; /* Vertically center the text there */
    background-color: #f5f5f5;
}
.main {
    min-height: 100%;
    height: auto !important;
    height: 100%;
    margin: 0 auto -60px;
}
.f-container {
    resize: both;
    position: relative;
    width: 100%;
   
}

.f-image {
    margin-top: 0 !important;
    width: 100% !important;
    height: 130px;
    background-size: cover;
    background-repeat: no-repeat;
}

.f-row {
    display: flex; /* equal height of the children */
}

.f-col {
    flex: 1; /* additionally, equal width */
    padding: 1em;
    border: solid;
}

#footer-img {
    background-size: contain !important;
    background-position: top center;
    background-repeat: no-repeat;
    height: 600px;
}
.bg-dark {
    background-color: var(--main-bg-color) !important;
}
.ccontainer {
    background-color: var(--main-bg-color);
    border-radius: .3rem;
    margin-top: 20px;
    margin-bottom: 60px;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 10px;
    padding-bottom: 10px;
}

.bbg-dark {
    background-color: rgba(0, 0, 0, 0.9) !important;
}

.bbg-light-dark {
    background-color: var(--main-bg-color) !important;
}

.header {
    text-align: center;
}

h1 {
    font-size: 1.5rem;
}

.nav-dropdown-toggle {
    color: #ffffff !important;
}
input, select, .dropdown-toggle, textarea {
    border-color: var(--main-bg-color) !important;
    /*background-color: var(--main-bg-color) !important;
    border-color: rgba(0, 0, 0, 0.3) !important;
    color: #ffffff !important;*/
}

    select option, .bs-searchbox .form-control {
        background-color: #ffffff !important;
        color: #000000 !important;
    }

::-webkit-input-placeholder { /* WebKit, Blink, Edge */
    color: #b3b3b3 !important;
}

:-moz-placeholder { /* Mozilla Firefox 4 to 18 */
    color: #b3b3b3 !important;
    opacity: 1;
}

::-moz-placeholder { /* Mozilla Firefox 19+ */
    color: #b3b3b3 !important;
    opacity: 1;
}

:-ms-input-placeholder { /* Internet Explorer 10-11 */
    color: #b3b3b3 !important;
}

.dt-button-info, .jconfirm {
    color: #000000
}

.bootstrap-select {
    width: calc(100% - 20px);
}


.image-upload {
    position: relative;
    max-width: 205px;
    margin: 50px auto;
    padding-right: 100px;
}

.image-title {
    position: absolute !important;
    text-align: center !important;
    top: -30px !important;
}

.image-upload .image-edit {
    position: absolute;
    right: 12px;
    z-index: 1;
    top: 10px;
}

    .image-upload .image-edit input {
        display: none;
    }

        .image-upload .image-edit input + label {
            display: inline-block;
            width: 34px;
            height: 34px;
            margin-bottom: 0;
            border-radius: 100%;
            background: rgba(0, 0, 0, 0.5);
            border: 1px solid transparent;
            box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.12);
            cursor: pointer;
            font-weight: normal;
            transition: all 0.2s ease-in-out;
            color: #fff;
        }

            .image-upload .image-edit input + label:hover {
                background: rgba(0, 0, 0, 0.7);
            }

.editIcon {
    position: absolute;
    top: 5px;
    left: 0;
    right: 0;
    text-align: center;
    margin: auto;
}

.img-preview {
    width: 192px;
    height: 192px;
    position: relative;
    border-radius: 100%;
    border: 6px solid var(--main-bg-color);
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
}
.image-upload .image-preview {
    width: 192px;
    height: 192px;
    position: relative;
    border-radius: 100%;
    border: 6px solid rgba(0, 0, 0, 0.3);
    box-shadow: 0px 2px 4px 0px rgba(0, 0, 0, 0.1);
}

    .image-upload .image-preview > div {
        width: 100%;
        height: 100%;
        border-radius: 100%;
        background-size: cover;
        background-repeat: no-repeat;
        background-position: center;
    }

.js-example-basic-multiple {
    color: violet !important;
}

.select-features .select2 .select2-selection {
    color: mediumpurple !important;
    background-color: var(--main-bg-color) !important;
    border-color: rgba(0, 0, 0, 0.3) !important;
}

.select-features .select2 .select2-search__field {
    background-color: transparent !important;
    color: #ffffff !important;
}

.div-container {
    background-color: blueviolet !important;
    width: 100% !important;
}

.image-container {
    width: 200px;
    height: 200px;
    border: 1px solid red;
}

.texts-container {
    width: 200px;
    height: 200px;
    border: 1px solid blue;
}

.card div {
    float: right !important;
    margin: 10px;
}

#main {
    width: 60%;
    height: 50px;
    margin: 0 auto;
}

    #main > div {
        float: left;
    }

#d1 {
    width: 50px;
    height: 50px;
    margin-right: 10px;
}

#d2 {
    width: 80%;
    height: 50px;
    color: black;
}

.selectize-input {
    background-color: var(--main-bg-color) !important;
    border: 1px solid rgba(0, 0, 0, 0.3) !important;
    height: 40px !important;
}

.selectize-control {
    background-color: transparent !important;
    padding: 0 !important;
    border: none !important;
}

.selectize-input .selectize-modal {
    background-color: white !important;
    padding: 0 !important;
    border: none !important;
}

.select-multiple .item {
    border-radius: 5px;
    color: rebeccapurple !important;
}

 .div-category{
    background-color:transparent !important;
}


#removeItem, #removeRoomItem, #removeItemDressCodePlace, #removeItemPlaceTag, #removeItemOpeningTag, #removeItemDressCode {
    top: 0;
    right: 0;
    bottom: 0;
    width: 17px;
    text-align: center;
    font-weight: bold;
    color: inherit;
    text-decoration: none;
    display: inline-block;
    padding: 2px 0 0 0;
    border-left: 1px solid #0073bb;
    -webkit-border-radius: 0 2px 2px 0;
    -moz-border-radius: 0 2px 2px 0;
    border-radius: 0 2px 2px 0;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    margin-left: 5px;
}

.select-properties .items {
    color: white !important;
}

.image-room {
    margin: 0 auto !important;
}

.file-caption-name {
    background-color: white !important;
    color: black !important;
}

.file-caption {
    border-radius: 5px !important;
    margin-right: 5px !important;
}

.btn-file {
    border-radius: 5px !important;
    margin-right: 5px !important;
}

.room-checkBox {
    margin: 0 auto !important;
}

#clone-room-modal textarea {
    background-color: white !important;
    color: black !important;
}

.select-room-properties div.selectize-input {
    border: 1px solid #cccccc !important;
    padding: 6px 12px;
    display: inline-block;
    width: 100%;
    overflow: hidden !important;
    position: relative;
    z-index: 1;
    -webkit-box-sizing: border-box !important;
    -moz-box-sizing: border-box !important;
    box-sizing: border-box !important;
    -webkit-box-shadow: none;
    box-shadow: none;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px !important;
    background-color: white !important;
}

.select-room-properties .items {
    color: black !important;
}

.select-room-properties .selectize-input.focus {
    border-color: #66afe9 !important;
    outline: 0 !important;
    -webkit-box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, 0.6) !important;
    box-shadow: inset 0 1px 1px rgba(0,0,0,.075), 0 0 8px rgba(102, 175, 233, 0.6) !important;
}

.select-room-properties .selectize-input.focus {
    -webkit-box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.15) !important;
    box-shadow: inset 0 1px 2px rgba(0, 0, 0, 0.15) !important;
}

.select-room-properties .selectize-dropdown, .select-room-properties .selectize-input,
.select-room-properties .selectize-input input {
    color: #333333;
    font-family: inherit;
    font-size: inherit;
    line-height: 20px;
    -webkit-font-smoothing: inherit;
}

.select-room-properties .selectize-input,
.select-room-properties.selectize-control.single .selectize-input.input-active {
    background: #ffffff;
    cursor: text;
    display: inline-block;
}

.select-room-properties .selectize-input {
    border: 1px solid #cccccc;
    padding: 6px 12px;
    display: inline-block;
    width: 100%;
    overflow: hidden;
    position: relative;
    z-index: 1;
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
    -webkit-box-shadow: none;
    box-shadow: none;
    -webkit-border-radius: 4px;
    -moz-border-radius: 4px;
    border-radius: 4px;
}

.modal-property .input-group-addon {
    padding: 6px 12px !important;
    font-size: 14px;
    font-weight: normal;
    line-height: 1;
    color: #555 !important;
    text-align: center !important;
    background-color: #eee !important;
    border: 1px solid #ccc !important;
    border-radius: 4px !important;
}

.modal-success {
    background-color: #00a98e;
    color: white !important;
}

#clone-room-modal .modal-body {
    background-color: #f1f1f1 !important;
}

#guest-profile-Modal .modal-header, #guest-profile-Modal .input-group-addon, #guest-profile-Modal label {
    color: black !important;
}

#guest-profile-Modal input {
    background-color: white !important;
    color: black !important;
}

.list-group {
    padding-left: 0;
    margin-bottom: 20px;
}

.list-group-item {
    position: relative;
    display: block;
    padding: 10px 15px;
    margin-bottom: -1px;
    background-color: #fff;
    border: 1px solid #ddd;
}

.selectize-input .item {
    color: #006ef5 !important;
}

.bootstrap-select {
    background: rgba(0,0,0,0) !important;
}

.select-categories .dropdown-item.active, .select-categories .dropdown-item:active {
    background-color: white !important;
    color: black !important;
}

.select-reserves-massages .dropdown-item.active, .select-categories .dropdown-item:active {
    background-color: white !important;
    color: black !important;
}

input[data-readonly] {
    pointer-events: none;
}

.kv-avatar .krajee-default.file-preview-frame, .kv-avatar .krajee-default.file-preview-frame:hover {
    margin: 0;
    padding: 0;
    border: none;
    box-shadow: none;
    text-align: center;
}

.kv-avatar {
    display: inline-block;
}

    .kv-avatar .file-drop-zone-title {
        color: white !important;
    }

    .kv-avatar .file-caption-info {
        color: white !important;
    }

    .kv-avatar .file-size-info {
        color: white !important;
    }

    .kv-avatar .file-input {
        display: table-cell;
        width: 213px;
    }

.kv-reqd {
    color: red;
    font-family: monospace;
    font-weight: normal;
}

.hidden {
    display: none !important;
}

.sub-dropdown li {
    background-color: white !important;
}

.drop-submenu {
    background-color: white !important;
    color: black !important;
}

#select-status {
    color: white !important;
}

.selectize-input .item {
    color: black !important;
}

.media-brand-gallery .file-input {
    margin: 0 auto !important;
}

.theme-caption .krajee-default .file-footer-caption {
    /*background-color: blueviolet !important;*/
    color: white !important;
}

.selectize-white-theme .selectize-input .item {
    color: black !important;
}

.selectize-white-background .selectize-input {
    background-color: white !important;
}

.select-color .select {
    background-color: white !important;
}

#option-modal {
    color: black !important;
}

    #option-modal input[type=text] {
        background-color: white !important;
        color: black !important;
    }

#clone-activities-modal textarea, #clone-activities-modal select, #clone-activities-modal .selectize-input {
    background-color: white !important;
    color: black !important;
}

.selectize-input.items.not-full.has-options.has-items {
    height: auto !important;
}

/*Digital Menu styles*/
#title {
    position: relative;
    text-align: center;
    font-size: 24px;
    font-family: fantasy, Arial, sans-serif;
}

.center-title {
    position: relative !important;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    width: 90%;
    padding: 20px;
    text-align: center;
}

.bg-text {
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0, 0.4); /* Black w/opacity/see-through */
    color: rgb(134, 131, 114);
    font-weight: bold;
    border: 2px solid #f1f1f1;
    position: absolute;
    top: 45%;
    left: 50%;
    transform: translate(-50%, -50%);
    z-index: 2;
    width: 90%;
    padding: 20px;
    text-align: center;
}

.btn-menu {
    background: transparent;
    border: 3px solid transparent;
    box-sizing: border-box;
    cursor: pointer;
    font-weight: 700;
    line-height: 1;
    margin: 18px;
    padding: 10px 15px;
    text-align: center;
    text-decoration: none;
    display: inline-block;
    outline: none;
    position: relative;
    top: 0;
    text-shadow: 0 1px 1px rgba(0, 0, 0, 0.5);
    -webkit-transition: all 0.2s ease-in-out 0s;
    -moz-transition: all 0.2s ease-in-out 0s;
    /*-ms-transition: all 0.2s ease-in-out 0s;*/
    transition: all 0.2s ease-in-out 0s;
}

.menu-header {
    background-color: var(--main-bg-color);
    border-radius: .3rem;
    margin-top: 0px;
    margin-bottom: 60px;
    padding-left: 20px;
    padding-right: 20px;
    padding-top: 35px;
    padding-bottom: 35px;
    width: 100%;
}

.menu-body {
    text-align: center;
    background-color: rgb(0,0,0); /* Fallback color */
    background-color: rgba(0,0,0, 0.4); /* Black w/opacity/see-through */
    color: rgb(134, 131, 114);
    font-weight: bold;
    border: 2px solid #f1f1f1;
    z-index: 2;
    width: 90% !important;
    padding: 20px;
    text-align: center;
}

.menu-container {
    display: flex;
    flex-direction: column;
    align-items: center;
}

.rounded {
    border-radius: 5px;
}

.full-rounded {
    border-radius: 20em;
}

.transparent_btn_menu {
    background: none;
    box-shadow: none;
    text-shadow: none;
    color: gainsboro;
}

.yellow.transparent {
    border-color: #fac75a;
}

.background-cover {
    background-size: auto !important;
}

@media(min-width: 1025px) {
    .background-cover {
        background-size: cover !important;
    }
}
/*
    .background-cover {
    background-size: auto !important;
}
@media(min-width: 1025px) {
    .background-cover {
        background-size: cover !important;
    }
}
*/

/*Restaurant styles*/
#accordion .panel-title a {
    display: block;
    padding: 10px 20px;
    margin: 0;
    font-size: 16px;
    font-weight: bold;
    color: #fff;
    text-transform: uppercase;
    border: none;
    border-radius: 5px;
    position: relative;
}

#accordion .a:hover, a:focus {
    color:black;
}

#accordion .a:hover {
    color: gray;
}

#accordion .panel-body {
    padding: 8px 24px;
    font-size: 15px;
    line-height: 28px;
    letter-spacing: 1px;
    border-top: none;
    border-radius: 5px;
}

.bootstrap-select.btn-group .dropdown-menu li a span.text {
    display: inline-block;
    width: 90% !important;
}

.btn-primary-outline {
    background-color: transparent;
    font-size: 14px;
    color:darkcyan !important;
}

#modal_category input {
    background-color: white !important;
    color: black !important;
}

#collapseOpeningTime button {
    font-size:12px !important;
    background-color:white !important;
    color:black;
}

#collapseMenu  button {
    font-size: 12px !important;
    background-color: white !important;
    color: black;
}

.clockpicker-popover {
    z-index: 999999 !important;
}

.modal .btn-close-modal {
    background-color: white !important;
    color: black !important;
    border-color: black !important;
}

.modal .btn-primary-modal {
    background-color: lightseagreen !important;
}

#modal_add_price .form-control,
#modal_edit_menu .form-control,
#modal_edit_place_tag .form-control,
#modal_edit_opening_tag .form-control,
#modal_edit_category .form-control,
#modal_edit_dress_code .form-control,
#modal_edit_tag .form-control,
#modal_menu .form-control,
#modal_opening_time .form-control {
    color: black !important;
    background-color: white !important;
}

#modal_edit_place_tag .btn-light.dropdown-toggle,
#modal_edit_opening_tag .btn-light.dropdown-toggle,
#modal_edit_tag .btn-light.dropdown-toggle {
    color: black !important;
    background-color: transparent !important;
}

#modal_opening_time  .btn-light.dropdown-toggle {
    color: black !important;
    background-color: transparent !important;
}

#modal_menu .kv-avatar .file-input {
    display: inline-table;
    width: 320px;
}

#modal_menu .kv-avatar .file-input {
    display: table-cell;
    width: 320px;
}

#modal_menu .kv-avatar .file-drop-zone-title {
    color: lightgray !important;
}

#modal_menu .kv-avatar .file-caption-info {
    color: black !important;
}

#modal_menu .kv-avatar .file-size-info {
    color: black !important;
}

.card-label {
    width: 80%;
    font-size: 1rem;
}

/*cuando no está seleccionado*/
.card-input-element + .card {
    height: calc(28px + 2*1rem);
    color: white;
    box-shadow: none;
    border: 2px solid #ffffff;
    border-radius: 4px;
    background-color: #D99100;
}

 .card-input-element + .card:hover {
    cursor: pointer;
 }

 /*Cuando está seleccionado*/
.card-input-element:checked + .card {
    border: 2px solid var(--primary);
    -webkit-transition: border .3s;
    -o-transition: border .3s;
    transition: border .3s;
    color: white;
    background-color:black;
}

.custom-li .list-group-item {
    background-color:transparent !important;
}

.card-opening {
    position: relative;
    margin: 10px auto;
}

.remove-opening {
    position: relative;
    top: 0px;
    left: 28px;
    right: 0;
    margin: auto;
    color:aqua;
    text-align:center;
}

.table-custom {
    display: table;
    border-collapse: collapse;
    border-spacing: 4px;
}

.thead-custom {
    display: table-header-group;
    color: white;
    font-weight: bold;
    background-color: transparent;
}

.tbody-custom {
    display: table-row-group;
}

.tr-custom {
    display: table-row;
}

.td-custom {
    display: table-cell;
    border: none;
    padding: 4px;
}

.borderless td, .borderless th {
    border: none;
}
